Package ghidra.program.model.listing

# Class CommentHistory

java.lang.Object
ghidra.program.model.listing.CommentHistory

public class CommentHistory extends Object
Container class for information about changes to a comment.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommentHistory(Address addr, CommentType commentType, String userName, String comments, Date modificationDate)`
  Constructs a new CommentHistory object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Address`
  `getAddress()`
  Get address for this label history object
  `String`
  `getComments()`
  Get the comments for this history object
  `CommentType`
  `getCommentType()`
  Get the comment type
  `Date`
  `getModificationDate()`
  Get the modification date
  `String`
  `getUserName()`
  Get the user that made the change
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CommentHistory

    public CommentHistory(Address addr, CommentType commentType, String userName, String comments, Date modificationDate)
    Constructs a new CommentHistory object
    Parameters:
      `addr` - the address of the comment
      `commentType` - the type of comment
      `userName` - the name of the user that changed the comment
      `comments` - the list of comments.
      `modificationDate` - the date the comment was changed.

- ## Method Details

  - ### getAddress

    public Address getAddress()
    Get address for this label history object
    Returns:
      address for this label history object.

  - ### getUserName

    public String getUserName()
    Get the user that made the change
    Returns:
      the user that made the change

  - ### getComments

    public String getComments()
    Get the comments for this history object
    Returns:
      the comments for this history object

  - ### getCommentType

    public CommentType getCommentType()
    Get the comment type
    Returns:
      the comment type

  - ### getModificationDate

    public Date getModificationDate()
    Get the modification date
    Returns:
      the modification date

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`